Gets recent deliveries for a webhook.

Path Parameters
  • id
    Type: string
    required

    The webhook ID

Query Parameters
  • limit
    Type: string Pattern: ^-?(?:0|[1-9]\d*)$Format: int32

    Maximum number of deliveries to return (default 50, max 100)

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/webhooks/{id}/deliveries
curl 'https://app.propstreet.com/api/v1/webhooks/{id}/deliveries?limit=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "string",
      "eventId": "string",
      "eventType": "string",
      "status": "string",
      "attemptCount": "string",
      "lastAttemptUtc": null,
      "lastStatusCode": "string",
      "lastError": null,
      "lastDurationMs": "string",
      "createdUtc": "2026-05-18T20:22:36.959Z",
      "deliveredUtc": null
    }
  ]
}